> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nudj.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Achievement participants list

> Paginated participants with summary stats



## OpenAPI

````yaml /openapi/analytics.json get /achievements/stats/participants
openapi: 3.1.0
info:
  title: Nudj Analytics API
  version: 1.0.0
servers:
  - url: https://{subdomain}.nudj.cx/api/v2/analytics
    description: Organization API Server
    variables:
      subdomain:
        description: Your organization's subdomain (required)
        default: your-org
security: []
paths:
  /achievements/stats/participants:
    get:
      tags:
        - Achievement
      summary: Achievement participants list
      description: Paginated participants with summary stats
      operationId: getAchievementParticipantsList
      parameters:
        - in: query
          name: achievementId
          schema:
            type: string
            pattern: ^[a-f\d]{24}$
          required: true
        - in: query
          name: skip
          schema:
            type: integer
            minimum: 0
            default: 0
          required: false
        - in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
          required: false
        - in: query
          name: search
          schema:
            type: string
        - in: query
          name: sortField
          schema:
            type: string
            enum:
              - completedAt
              - createdAt
              - displayName
              - email
            default: completedAt
        - in: query
          name: sortDirection
          schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
        - in: query
          name: status
          schema:
            type: string
            enum:
              - completed
              - in-progress
        - in: query
          name: startDate
          schema:
            type: string
            format: date-time
        - in: query
          name: endDate
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            userId:
                              type: string
                            displayName:
                              type: string
                            email:
                              anyOf:
                                - type: string
                                  format: email
                                - type: string
                                  const: ''
                            createdAt:
                              type: string
                              format: date-time
                            completedAt:
                              type:
                                - string
                                - 'null'
                              format: date-time
                            progressPercentage:
                              type: number
                              minimum: 0
                              maximum: 100
                            xpAwarded:
                              type: integer
                              minimum: 0
                            pointsAwarded:
                              type: integer
                              minimum: 0
                            rewardsCount:
                              type: integer
                              minimum: 0
                            rewardNames:
                              type: array
                              items:
                                type: string
                              maxItems: 3
                          required:
                            - userId
                            - displayName
                            - email
                            - createdAt
                            - progressPercentage
                            - xpAwarded
                            - pointsAwarded
                            - rewardsCount
                            - rewardNames
                      pagination:
                        type: object
                        properties:
                          total:
                            type: number
                          skip:
                            type: number
                          limit:
                            type: number
                        required:
                          - total
                          - skip
                          - limit
                    required:
                      - data
                      - pagination
                  summary:
                    type: object
                    properties:
                      totalCompletions:
                        type: number
                      totalInProgress:
                        type: number
                    required:
                      - totalCompletions
                      - totalInProgress
                required:
                  - data
                  - summary
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []

````